# How-to: Test PTTH_QUIC

## Initial setup

- Open 3 terminals in `prototypes/quic_demo`
- Use `export RUST_LOG=quic_demo_relay_server=debug` to enable debug logging
for the terminal that will run the relay server
- Use `export RUST_LOG=quic_demo_end_server=debug` for the terminal that
will run the end server

When the relay server is running, use curl to get the list of connected
end servers: `curl 127.0.0.1:4004`

## Test loop - Happy path

- Start a relay `cargo run --bin quic_demo_relay_server`
- Verify that the relay has no end servers connected 
- Start an end server `cargo run --bin quic_demo_end_server`
- Verify that the end server connected

